/*
 * Class reference UTF_CONVERTER
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_24 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_24 [] = {0xFF01,237,23,0xFFFF};
static const EIF_TYPE_INDEX egt_2_24 [] = {0xFF01,23,0xFFFF};
static const EIF_TYPE_INDEX egt_3_24 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_24 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_24 [] = {0xFF01,23,0xFFFF};
static const EIF_TYPE_INDEX egt_6_24 [] = {0xFF01,23,0xFFFF};
static const EIF_TYPE_INDEX egt_7_24 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_24 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_24 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_24 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_24 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_24 [] = {0xFF01,23,0xFFFF};
static const EIF_TYPE_INDEX egt_13_24 [] = {0xFF01,23,0xFFFF};
static const EIF_TYPE_INDEX egt_14_24 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_15_24 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_16_24 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_17_24 [] = {0xFF01,710,197,0xFFFF};
static const EIF_TYPE_INDEX egt_18_24 [] = {0xFF01,710,197,0xFFFF};
static const EIF_TYPE_INDEX egt_19_24 [] = {0xFF01,226,0xFFFF};
static const EIF_TYPE_INDEX egt_20_24 [] = {0xFF01,226,0xFFFF};
static const EIF_TYPE_INDEX egt_21_24 [] = {0xFF01,226,0xFFFF};
static const EIF_TYPE_INDEX egt_22_24 [] = {0xFF01,226,0xFFFF};
static const EIF_TYPE_INDEX egt_23_24 [] = {0xFF01,677,203,0xFFFF};
static const EIF_TYPE_INDEX egt_24_24 [] = {0xFF01,677,203,0xFFFF};
static const EIF_TYPE_INDEX egt_25_24 [] = {0xFF01,677,203,0xFFFF};
static const EIF_TYPE_INDEX egt_26_24 [] = {0xFF01,677,203,0xFFFF};
static const EIF_TYPE_INDEX egt_27_24 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_28_24 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_29_24 [] = {0xFF01,226,0xFFFF};
static const EIF_TYPE_INDEX egt_30_24 [] = {0xFF01,226,0xFFFF};
static const EIF_TYPE_INDEX egt_31_24 [] = {0xFF01,226,0xFFFF};
static const EIF_TYPE_INDEX egt_32_24 [] = {0xFF01,226,0xFFFF};
static const EIF_TYPE_INDEX egt_33_24 [] = {0xFF01,226,0xFFFF};
static const EIF_TYPE_INDEX egt_34_24 [] = {0xFF01,226,0xFFFF};
static const EIF_TYPE_INDEX egt_35_24 [] = {0xFF01,226,0xFFFF};
static const EIF_TYPE_INDEX egt_36_24 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_37_24 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_38_24 [] = {0xFF01,677,203,0xFFFF};
static const EIF_TYPE_INDEX egt_39_24 [] = {0xFF01,677,203,0xFFFF};
static const EIF_TYPE_INDEX egt_40_24 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_41_24 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_42_24 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_43_24 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_44_24 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_45_24 [] = {0xFF01,57,0xFFFF};


static const struct desc_info desc_24[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_24), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_24), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_24), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_24), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_24), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_24), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_24), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_24), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_24), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_24), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_24), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_24), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_24), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_24), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x016D /*182*/), 688, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 689, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 690, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 691, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 692, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 693, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 694, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 695, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 696, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_24), 697, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 698, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_24), 699, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 700, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 701, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_24), 702, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 703, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 704, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 705, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_24), 706, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_24), 707, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_24), 708, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 709, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_24), 710, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 711, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_24), 712, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 713, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_24), 714, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 715, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_24), 716, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_24), 717, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_24), 718, 0xFFFFFFFF},
	{EIF_GENERIC(egt_26_24), 719, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 720, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 721, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 722, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 723, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_24), 724, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 725, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 726, 0xFFFFFFFF},
	{EIF_GENERIC(egt_28_24), 727, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 728, 0xFFFFFFFF},
	{EIF_GENERIC(egt_29_24), 729, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 730, 0xFFFFFFFF},
	{EIF_GENERIC(egt_30_24), 731, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 732, 0xFFFFFFFF},
	{EIF_GENERIC(egt_31_24), 733, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 734, 0xFFFFFFFF},
	{EIF_GENERIC(egt_32_24), 735, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 736, 0xFFFFFFFF},
	{EIF_GENERIC(egt_33_24), 737, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 738, 0xFFFFFFFF},
	{EIF_GENERIC(egt_34_24), 739, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 740, 0xFFFFFFFF},
	{EIF_GENERIC(egt_35_24), 741, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 742, 0xFFFFFFFF},
	{EIF_GENERIC(egt_36_24), 743, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 744, 0xFFFFFFFF},
	{EIF_GENERIC(egt_37_24), 745, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 746, 0xFFFFFFFF},
	{EIF_GENERIC(egt_38_24), 747, 0xFFFFFFFF},
	{EIF_GENERIC(egt_39_24), 748, 0xFFFFFFFF},
	{EIF_GENERIC(egt_40_24), 749, 0xFFFFFFFF},
	{EIF_GENERIC(egt_41_24), 750, 0xFFFFFFFF},
	{EIF_GENERIC(egt_42_24), 751, 0xFFFFFFFF},
	{EIF_GENERIC(egt_43_24), 752, 0xFFFFFFFF},
	{EIF_GENERIC(egt_44_24), 753, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 754, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 685, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0191 /*200*/), 686, 0xFFFFFFFF},
	{EIF_GENERIC(egt_45_24), 687, 0xFFFFFFFF},
};
void Init24(void)
{
	IDSC(desc_24, 0, 23);
	IDSC(desc_24 + 1, 1, 23);
	IDSC(desc_24 + 32, 83, 23);
}


#ifdef __cplusplus
}
#endif
